Skip to content

Get time-bucketed XP timeline for a user with configurable granularity

GET
/xp/user/{userkey}/season/{seasonId}/timeline
curl --request GET \
--url 'https://api.ethos.network/api/v2/xp/user/example/season/1/timeline?granularity=hour'
userkey
required
string
seasonId
required
number
granularity
required
string
Allowed values: hour day week
since
string

Successful response

Media typeapplication/json
Array<object>
object
time
required
string
xp
required
number
cumulativeXp
required
number

Example generated

[
{
"time": "example",
"xp": 1,
"cumulativeXp": 1
}
]

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}